Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class VpnGateway

    java.lang.Object
      com.amazonaws.services.ec2.model.VpnGateway

    public class VpnGateway

extends Object

The VpnGateway data type.

Constructor Summary
`VpnGateway()`

Method Summary
`String` | `getAvailabilityZone()` Specifies the Availability Zone where the VPN gateway was created.
`String` | `getState()` Describes the current state of the VPN gateway.
`String` | `getType()` Specifies the type of VPN connection the VPN gateway supports.
`List<VpcAttachment>` | `getVpcAttachments()` Contains information about the VPCs attached to the VPN gateway.
`String` | `getVpnGatewayId()` Specifies the ID of the VPN gateway.
`void` | `setAvailabilityZone(String availabilityZone)` Specifies the Availability Zone where the VPN gateway was created.
`void` | `setState(String state)` Describes the current state of the VPN gateway.
`void` | `setType(String type)` Specifies the type of VPN connection the VPN gateway supports.
`void` | `setVpcAttachments(Collection<VpcAttachment> vpcAttachments)` Contains information about the VPCs attached to the VPN gateway.
`void` | `setVpnGatewayId(String vpnGatewayId)` Specifies the ID of the VPN gateway.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`VpnGateway` | `withAvailabilityZone(String availabilityZone)` Specifies the Availability Zone where the VPN gateway was created.
`VpnGateway` | `withState(String state)` Describes the current state of the VPN gateway.
`VpnGateway` | `withType(String type)` Specifies the type of VPN connection the VPN gateway supports.
`VpnGateway` | `withVpcAttachments(Collection<VpcAttachment> vpcAttachments)` Contains information about the VPCs attached to the VPN gateway.
`VpnGateway` | `withVpcAttachments(VpcAttachment... vpcAttachments)` Contains information about the VPCs attached to the VPN gateway.
`VpnGateway` | `withVpnGatewayId(String vpnGatewayId)` Specifies the ID of the VPN gateway.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VpnGateway

    public VpnGateway()

Method Detail

### getVpnGatewayId

    public String getVpnGatewayId()

  Specifies the ID of the VPN gateway.

  Returns:
    Specifies the ID of the VPN gateway.

### setVpnGatewayId

    public void setVpnGatewayId(String vpnGatewayId)

  Specifies the ID of the VPN gateway.

  Parameters:
    `vpnGatewayId` - Specifies the ID of the VPN gateway.

### withVpnGatewayId

    public VpnGateway withVpnGatewayId(String vpnGatewayId)

  Specifies the ID of the VPN gateway.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnGatewayId` - Specifies the ID of the VPN gateway.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Describes the current state of the VPN gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Returns:
    Describes the current state of the VPN gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

### setState

    public void setState(String state)

  Describes the current state of the VPN gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Parameters:
    `state` - Describes the current state of the VPN gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

### withState

    public VpnGateway withState(String state)

  Describes the current state of the VPN gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - Describes the current state of the VPN gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getType

    public String getType()

  Specifies the type of VPN connection the VPN gateway supports.

  Returns:
    Specifies the type of VPN connection the VPN gateway supports.

### setType

    public void setType(String type)

  Specifies the type of VPN connection the VPN gateway supports.

  Parameters:
    `type` - Specifies the type of VPN connection the VPN gateway supports.

### withType

    public VpnGateway withType(String type)

  Specifies the type of VPN connection the VPN gateway supports.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `type` - Specifies the type of VPN connection the VPN gateway supports.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  Specifies the Availability Zone where the VPN gateway was created.

  Returns:
    Specifies the Availability Zone where the VPN gateway was created.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  Specifies the Availability Zone where the VPN gateway was created.

  Parameters:
    `availabilityZone` - Specifies the Availability Zone where the VPN gateway was created.

### withAvailabilityZone

    public VpnGateway withAvailabilityZone(String availabilityZone)

  Specifies the Availability Zone where the VPN gateway was created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - Specifies the Availability Zone where the VPN gateway was created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVpcAttachments

    public List<VpcAttachment> getVpcAttachments()

  Contains information about the VPCs attached to the VPN gateway.

  Returns:
    Contains information about the VPCs attached to the VPN gateway.

### setVpcAttachments

    public void setVpcAttachments(Collection<VpcAttachment> vpcAttachments)

  Contains information about the VPCs attached to the VPN gateway.

  Parameters:
    `vpcAttachments` - Contains information about the VPCs attached to the VPN gateway.

### withVpcAttachments

    public VpnGateway withVpcAttachments(VpcAttachment... vpcAttachments)

  Contains information about the VPCs attached to the VPN gateway.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcAttachments` - Contains information about the VPCs attached to the VPN gateway.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withVpcAttachments

    public VpnGateway withVpcAttachments(Collection<VpcAttachment> vpcAttachments)

  Contains information about the VPCs attached to the VPN gateway.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcAttachments` - Contains information about the VPCs attached to the VPN gateway.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.